import java.io.*;
import java.util.*;
import java.math.*;

public class suffix_aa {
	public static void main(String[] args) {
		new suffix_aa().run();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(125475452);

	private void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void check(boolean u) {
		if (!u) {
			throw new Error("Assertion failed!!!");
		}
	}

	String FNAME = "suffix";

	int MAX = 1000;

	private void solve() throws IOException {
		char[] a = nextToken().toCharArray();
		check(1 <= a.length && a.length <= MAX);
		boolean[] u = new boolean[26];
		for (int i = 0; i < a.length; i++) {
			if (!u[a[i] - 'a']) {
				u[a[i] - 'a'] = true;
				out.print(a[i]);
			}
		}
	}

}